package com.yd.oss.service.service;

import com.yd.oss.service.dto.FileProdDto;
import com.yd.oss.service.model.FileTemplate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.io.InputStream;

/**
 * <p>
 * 文件模板表 服务类
 * </p>
 *
 * @author zxm
 * @since 2025-09-10
 */
public interface IFileTemplateService extends IService<FileTemplate> {

    InputStream getTemplateInputStreamFromOSS(String bucketName, String objectKey);

    FileProdDto getFileProd(String templateName, String templateType);

    FileTemplate queryOne(String templateBizId,String templateType);
}
